com.smartgwt.client.widgets.layout

## Class NavigationBarViewState

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.layout.NavigationBarViewState

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class NavigationBarViewState
      extends DataClass

  Encapsulates state of a `NavigationBar`'s view. A `NavigationBarViewState` object is created to pass to `NavigationBar.setViewState()` so that multiple properties of the `NavigationBar` can be changed at once.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NavigationBarViewState()`
    `NavigationBarViewState(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getAlwaysShowLeftButtonTitle()` The new `NavigationBar.alwaysShowLeftButtonTitle` setting.
    `java.lang.String[]` | `getControls()` The new `NavigationBar.controls` setting.
    `Canvas[]` | `getControlsAsCanvasArray()` The new `NavigationBar.controls` setting.
    `java.lang.String` | `getLeftButtonTitle()` The new `NavigationBar.leftButtonTitle` setting.
    `static NavigationBarViewState` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getShortLeftButtonTitle()` The new `NavigationBar.shortLeftButtonTitle` setting.
    `java.lang.Boolean` | `getShowLeftButton()` The new `NavigationBar.showLeftButton` setting.
    `java.lang.String` | `getTitle()` The new `NavigationBar.title` setting.
    `NavigationBarViewState` | `setAlwaysShowLeftButtonTitle(java.lang.Boolean alwaysShowLeftButtonTitle)` The new `NavigationBar.alwaysShowLeftButtonTitle` setting.
    `NavigationBarViewState` | `setControls(Canvas... controls)` The new `NavigationBar.controls` setting.
    `NavigationBarViewState` | `setControls(java.lang.String... controls)` The new `NavigationBar.controls` setting.
    `NavigationBarViewState` | `setLeftButtonTitle(java.lang.String leftButtonTitle)` The new `NavigationBar.leftButtonTitle` setting.
    `NavigationBarViewState` | `setShortLeftButtonTitle(java.lang.String shortLeftButtonTitle)` The new `NavigationBar.shortLeftButtonTitle` setting.
    `NavigationBarViewState` | `setShowLeftButton(java.lang.Boolean showLeftButton)` The new `NavigationBar.showLeftButton` setting.
    `NavigationBarViewState` | `setTitle(java.lang.String title)` The new `NavigationBar.title` setting.
    `void` | `unsetAlwaysShowLeftButtonTitle()`
    `void` | `unsetControls()`
    `void` | `unsetLeftButtonTitle()`
    `void` | `unsetShortLeftButtonTitle()`
    `void` | `unsetShowLeftButton()`
    `void` | `unsetTitle()`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NavigationBarViewState

          public NavigationBarViewState()

    - #### NavigationBarViewState

          public NavigationBarViewState(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static NavigationBarViewState getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setAlwaysShowLeftButtonTitle

          public NavigationBarViewState setAlwaysShowLeftButtonTitle(java.lang.Boolean alwaysShowLeftButtonTitle)

      The new `NavigationBar.alwaysShowLeftButtonTitle` setting. If unset, the `alwaysShowLeftButtonTitle` setting is not changed.
      Parameters:
        `alwaysShowLeftButtonTitle` - New alwaysShowLeftButtonTitle value. Default value is null
      Returns:
        `NavigationBarViewState` instance, for chaining setter calls

    - #### getAlwaysShowLeftButtonTitle

          public java.lang.Boolean getAlwaysShowLeftButtonTitle()

      The new `NavigationBar.alwaysShowLeftButtonTitle` setting. If unset, the `alwaysShowLeftButtonTitle` setting is not changed.
      Returns:
        Current alwaysShowLeftButtonTitle value. Default value is null

    - #### setControls

          public NavigationBarViewState setControls(java.lang.String... controls)

      The new `NavigationBar.controls` setting. If unset, the `controls` array is not changed.
      Parameters:
        `controls` - New controls value. Default value is null
      Returns:
        `NavigationBarViewState` instance, for chaining setter calls

    - #### getControls

          public java.lang.String[] getControls()

      The new `NavigationBar.controls` setting. If unset, the `controls` array is not changed.
      Returns:
        Current controls value. Default value is null

    - #### setControls

          public NavigationBarViewState setControls(Canvas... controls)

      The new `NavigationBar.controls` setting. If unset, the `controls` array is not changed.
      Parameters:
        `controls` - New controls value. Default value is null
      Returns:
        `NavigationBarViewState` instance, for chaining setter calls

    - #### getControlsAsCanvasArray

          public Canvas[] getControlsAsCanvasArray()

      The new `NavigationBar.controls` setting. If unset, the `controls` array is not changed.
      Returns:
        Current controls value. Default value is null

    - #### setLeftButtonTitle

          public NavigationBarViewState setLeftButtonTitle(java.lang.String leftButtonTitle)

      The new `NavigationBar.leftButtonTitle` setting. If unset, the `leftButtonTitle` is not changed.
      Parameters:
        `leftButtonTitle` - New leftButtonTitle value. Default value is null
      Returns:
        `NavigationBarViewState` instance, for chaining setter calls
      See Also:
        `HTMLString`

    - #### getLeftButtonTitle

          public java.lang.String getLeftButtonTitle()

      The new `NavigationBar.leftButtonTitle` setting. If unset, the `leftButtonTitle` is not changed.
      Returns:
        Current leftButtonTitle value. Default value is null
      See Also:
        `HTMLString`

    - #### setShortLeftButtonTitle

          public NavigationBarViewState setShortLeftButtonTitle(java.lang.String shortLeftButtonTitle)

      The new `NavigationBar.shortLeftButtonTitle` setting. If unset, the `shortLeftButtonTitle` is not changed.
      Parameters:
        `shortLeftButtonTitle` - New shortLeftButtonTitle value. Default value is null
      Returns:
        `NavigationBarViewState` instance, for chaining setter calls
      See Also:
        `HTMLString`

    - #### getShortLeftButtonTitle

          public java.lang.String getShortLeftButtonTitle()

      The new `NavigationBar.shortLeftButtonTitle` setting. If unset, the `shortLeftButtonTitle` is not changed.
      Returns:
        Current shortLeftButtonTitle value. Default value is null
      See Also:
        `HTMLString`

    - #### setShowLeftButton

          public NavigationBarViewState setShowLeftButton(java.lang.Boolean showLeftButton)

      The new `NavigationBar.showLeftButton` setting. If unset, the `showLeftButton` setting is not changed.
      Parameters:
        `showLeftButton` - New showLeftButton value. Default value is null
      Returns:
        `NavigationBarViewState` instance, for chaining setter calls

    - #### getShowLeftButton

          public java.lang.Boolean getShowLeftButton()

      The new `NavigationBar.showLeftButton` setting. If unset, the `showLeftButton` setting is not changed.
      Returns:
        Current showLeftButton value. Default value is null

    - #### setTitle

          public NavigationBarViewState setTitle(java.lang.String title)

      The new `NavigationBar.title` setting. If unset, the `title` is not changed.
      Parameters:
        `title` - New title value. Default value is null
      Returns:
        `NavigationBarViewState` instance, for chaining setter calls
      See Also:
        `HTMLString`

    - #### getTitle

          public java.lang.String getTitle()

      The new `NavigationBar.title` setting. If unset, the `title` is not changed.
      Returns:
        Current title value. Default value is null
      See Also:
        `HTMLString`

    - #### unsetShowLeftButton

          public void unsetShowLeftButton()

    - #### unsetLeftButtonTitle

          public void unsetLeftButtonTitle()

    - #### unsetShortLeftButtonTitle

          public void unsetShortLeftButtonTitle()

    - #### unsetAlwaysShowLeftButtonTitle

          public void unsetAlwaysShowLeftButtonTitle()

    - #### unsetTitle

          public void unsetTitle()

    - #### unsetControls

          public void unsetControls()